httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe Jr." <wr...@rowe-clan.net>
Subject Re: RFC: drop support for OpenSSL < 1.0 in trunk/2.3?
Date Wed, 02 Jun 2010 17:03:30 GMT
On 5/25/2010 7:45 AM, Joe Orton wrote:
> I'd like to drop support for versions of OpenSSL older than 1.0 in the 
> trunk mod_ssl.  We have 200+ lines of compat macro junk and still six 
> different compiler warnings remain in a trunk build against 1.0.0.

+1 to axing all SSLC related conditionals, RSA clearly doesn't care that
this was once supported, so neither should we.

+1 to axing all OpenSSL 0.9.7 and prior versions, which are no longer
supported by the openssl team.

-1 to axing OpenSSL 0.9.8, which remains supported by the openssl team.

Mime
View raw message